Bug 1569457 - EIO errors on some operations when volume has mixed brick versions on a disperse volume
Summary: EIO errors on some operations when volume has mixed brick versions on a dispe...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: disperse
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: Xavi Hernandez
QA Contact: Upasana
URL:
Whiteboard:
Depends On: 1566732
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-04-19 10:03 UTC by Xavi Hernandez
Modified: 2018-09-04 06:47 UTC (History)
8 users (show)

Fixed In Version: glusterfs-3.12.2-13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1566732
Environment:
Last Closed: 2018-09-04 06:46:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:47:38 UTC

Description Xavi Hernandez 2018-04-19 10:03:43 UTC
+++ This bug was initially created as a clone of Bug #1566732 +++

Description of problem:

If a disperse volume has different brick versions, some operations done on the volume will generate EIO errors.

Version-Release number of selected component (if applicable): mainline


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 6 nchilaka 2018-05-16 12:45:33 UTC
Xavi,
can you help me with validation procedure.
1)What fops exactly were failing before fix
2)also when you are telling different brick version, are you refering to trusted.ec.version or the glusterfs version?

Comment 24 errata-xmlrpc 2018-09-04 06:46:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.